Agent Tools
Create tool
Create a new tool for an agent. Tools allow the agent to call external webhooks.
POST
/
v1
/
senders
/
{senderId}
/
agent
/
tools
Create tool
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "get_order_status",
"description": "Get the status of a customer order",
"webhookUrl": "https://api.example.com/webhooks/order-status",
"webhookSecret": "whsec_...",
"parameters": {
"type": "object",
"properties": {
"order_id": {
"type": "string",
"description": "The order ID to look up"
}
},
"required": [
"order_id"
]
}
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/agent/tools"
payload = {
"name": "get_order_status",
"description": "Get the status of a customer order",
"webhookUrl": "https://api.example.com/webhooks/order-status",
"webhookSecret": "whsec_...",
"parameters": {
"type": "object",
"properties": { "order_id": {
"type": "string",
"description": "The order ID to look up"
} },
"required": ["order_id"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'get_order_status',
description: 'Get the status of a customer order',
webhookUrl: 'https://api.example.com/webhooks/order-status',
webhookSecret: 'whsec_...',
parameters: {
type: 'object',
properties: {order_id: {type: 'string', description: 'The order ID to look up'}},
required: ['order_id']
}
})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/agent/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"id": "<string>",
"agentId": "<string>",
"name": "get_order_status",
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"webhookUrl": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Tool created.
Show child attributes
Show child attributes
⌘I
Create tool
